Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package macros
  Definition Classes
    reflect
-  package contexts
  Definition Classes
    macros
- Aliases
- Context
- Enclosures
- Evals
- ExprUtils
- FrontEnds
- Infrastructure
- Internals
- Names
- Parsers
- Reifiers
- Traces
- Typers

t

scala.reflect.macros.contexts

# Names

###

#### trait Names extends AnyRef

Self Type
  Context
Source
  Names.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Context
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Names
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Names toany2stringadd[Names] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Names, B)
   Implicit
     This member is added by an implicit conversion from Names toArrowAssoc[Names] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (Names) => Boolean, msg: => Any): Names
   Implicit
     This member is added by an implicit conversion from Names toEnsuring[Names] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Names) => Boolean): Names
   Implicit
     This member is added by an implicit conversion from Names toEnsuring[Names] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): Names
    Implicit
      This member is added by an implicit conversion from Names toEnsuring[Names] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Names
    Implicit
      This member is added by an implicit conversion from Names toEnsuring[Names] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Names toStringFormat[Names] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  def fresh[NameType <: Context.Name](name: NameType): NameType
17.  def fresh(name: String): String
18.  def fresh(): String
19.  def freshName[NameType <: Context.Name](name: NameType): NameType
20.  def freshName(name: String): String
21.  def freshName(): String
22.  def freshNameCreator: FreshNameCreator
23.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      AnyRef → Any
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Names, B)
   Implicit
     This member is added by an implicit conversion from Names toArrowAssoc[Names] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromNames to any2stringadd[Names]

### Inherited by implicit conversion StringFormat fromNames to StringFormat[Names]

### Inherited by implicit conversion Ensuring fromNames to Ensuring[Names]

### Inherited by implicit conversion ArrowAssoc fromNames to ArrowAssoc[Names]

### Ungrouped